// @author      Kelvin Hui
// @see       	it-blogs.com
// @since     	01-Mar-2016

// Define client socket IO
var io 		= require('socket.io-client');
var client 	= io.connect('http://localhost:3000');

//Receiving incoming message 'ping_client'
client.on('ping_client', function(msg) {
    console.info('Receiving ping message from server : '+msg);
	
	//Send message to server
	client.emit('message_reply', 'Hi server, got your message');
	console.info('Sending ack message to server');
});